%define module	DateManip
%define version	5.44
%define release	%mkrel 4

Summary:	%{module} module for Perl
Name:		perl-%{module}
Version:	%{version}
Release:	%{release}
License:	GPL or Artistic
Group:		Development/Perl
Source0:	ftp://ftp.perl.org/pub/CPAN/modules/by-module/Date/%{module}-%{version}.tar.bz2
Patch0:		%{module}-COT.patch
Patch1:		%{module}-SORT.patch
Url:		http://search.cpan.org/dist/%{module}/
%if %{mdkversion} < 1010
BuildRequires:	perl-devel
%else
BuildRequires:	perl
%endif
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	noarch

%description
This is a set of routines designed to make any common date/time
manipulation easy to do. Operations such as comparing two times,
calculating a time a given amount of time from another, or parsing
international times are all easily done.


%prep
%setup -q -n %{module}-%{version}
%patch0 -p1 -b .cot
%patch1 -p0 -b .sort

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%__make

%check
%__make test

%clean
rm -rf %{buildroot}

%install
rm -rf %{buildroot}
%makeinstall_std

%files
%defattr(-,root,root)
%doc HISTORY INSTALL README TODO
%{_mandir}/man*/*
%{perl_vendorlib}/Date



%changelog
* Tue Jul 31 2007 David Walluck <walluck@mandriva.org> 5.44-4mdv2008.0
+ Revision: 56781
- rebuild to fix %%mkrel


* Fri May 05 2006 Scott Karns <scottk@mandriva.org> 5.44-3mdk
- Update %%description
- Added 200610 conditional around BuildRequires: perl-devel
- Updated to comply with Mandriva perl packaging policies

* Tue Dec 13 2005 Buchan Milne <bgmilne@mandriva.org> 5.44-2mdk
- Rebuild
- use mkrel

* Fri Jun 03 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 5.44-1mdk
- 5.44
- Rediff patch 1

* Tue Aug 26 2003 Franois Pons <fpons@mandrakesoft.com> 5.42a-1mdk
- added patch to avoid ramdomized keys of hash.
- 5.42a.

* Wed Aug 13 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 5.40-7mdk
- rebuild for new perl
- drop $RPM_OPT_FLAGS, noarch..
- use %%makeinstall_std macro

* Tue May 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 5.40-6mdk
- rebuild for new auto{prov,req}

